# EasyDate

EasyDate is a simple Python package for performing common date and time operations with ease.

## Features

- Get the current date and time in a readable format.
- Calculate the number of days between two dates.
- Determine the weekday for a given date.

## Installation

To install EasyDate, simply use pip:

```bash
pip install easydatejiakai
```

## Usage

Here's a quick example of how to use EasyDate:

```python
from easydatejiakai import get_current_datetime, calculate_days_between, get_weekday

print(get_current_datetime())  # Prints the current date and time
print(calculate_days_between("2024-01-01", "2024-01-31"))  # Prints the number of days between two dates
print(get_weekday("2024-01-01"))  # Prints the weekday of a given date
```

## License

This project is licensed under the MIT License.